#include <iostream>
using namespace std;

const int Dim = 201;


bool EstePrim(int n);
bool ExistaPrime();

int n;
int a[Dim];

int main()
{	
	cin >> n;
	for (int i = 1; i <= n; ++i)
		cin >> a[i];
	
	if (ExistaPrime())
		cout << "DA";
	else
		cout << "NU";
	
	return 0;
}

bool ExistaPrime()
{
	for (int i = 1; i <= n; ++i)
		if (EstePrim(a[i]))
			return true;
	return false;
}

bool EstePrim(int n)
{
	if (n < 2)  return false;
	if (n == 2) return true;
	if (n % 2 == 0)
		return false;
		
	for (int d = 3; d * d <= n; d += 2)
		if (n % d == 0)
			return false;
			
	return true;
}




